> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/local-governance/v2.7/platform/configure-digit/configuring-digit-services/configuring-localization/setup-base-product-localization.md).

# Setup Base Product Localization

### Overview <a href="#overview" id="overview"></a>

The main reason to Setup Base Product Localization is because Digit system supports multiple languages. By setting-up Localization, we can have multiple language support to the UI. So, that user can easily understand the Digit Operations

### Pre-requisites <a href="#pre-requisites" id="pre-requisites"></a>

Before you proceed with the configuration, make sure the following pre-requisites are met -

* Before Starting the Localization setup one should have knowledge on React and eGov FrameWork.
* Before setting-up Localization, make sure that all the Keys are pushed to the Create API and also get prepared with the Values that need to be added to the Localization key specific to particular languages that are being added in the product.
* Make sure where to add the Localization in the Code.

### Key Functionalities <a href="#key-functionalities" id="key-functionalities"></a>

Once the Localization is done, the user can view the Digit Screens in their own language to complete the whole application process easier as digit gives the user to select the language of their choice.

### Deployment Details <a href="#deployment-details" id="deployment-details"></a>

* Once The key is added to the code as per requirement, Deployment can be done in the same way, how the code is being deployed.

### Configuration Details <a href="#configuration-details" id="configuration-details"></a>

* Select a label which is needed to be localized from the Product code. Here is the example code for a header before setting-up Localization.

![](/files/-MKK0GmOCO5xooCEznjj)

* As we see the above which supports only the English language, To setup Localization to that header we need to the code in the following manner.

![](/files/-MKK0GmXZi8QWu1GCfnf)

* we can see below code is added when we compare with code before Localization setup.

{

labelName: "Trade Unit ",

labelKey: "TL\_NEW\_TRADE\_DETAILS\_TRADE\_UNIT\_HEADER"

},

* Here the Values to the Key can be added by two methods either by using the localization Screen which is Developed Recently or by updating the values to the keys to create API using the postman application.

### Reference Docs <a href="#reference-docs" id="reference-docs"></a>

#### Doc Links <a href="#doc-links" id="doc-links"></a>

|                                                                                                           |                                                                                                                                              |
| --------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| **Title**                                                                                                 | **Link**                                                                                                                                     |
| Adding New Language to Digit System. You can refer the link provided for how languages are added in DIGIT | [Adding New Language](/local-governance/v2.7/platform/configure-digit/configuring-digit-services/setting-up-a-language/adding-a-language.md) |

[![Creative Commons License](https://i.creativecommons.org/l/by/4.0/80x15.png)​](http://creativecommons.org/licenses/by/4.0/)All content on this page by [eGov Foundation](https://egov.org.in/) is licensed under a [Creative Commons Attribution 4.0 International License](http://creativecommons.org/licenses/by/4.0/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digit.org/local-governance/v2.7/platform/configure-digit/configuring-digit-services/configuring-localization/setup-base-product-localization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
